Connections
/connections/{id}/sync
Sync connection by uniqueRef and type
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
uniqueRef*string
Length
1 <= lengthtype*string
Value in
"reservation" | "listing" | "payout"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.edge.vrplatform.app/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/sync" \ -H "Content-Type: application/json" \ -d '{ "uniqueRef": "string", "type": "reservation" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"status": "completed",
"message": "string",
"type": "reservation",
"reservationId": "54c41ef9-5629-4a9c-bb0d-10f615966bd0"
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}